# Uses of Interface
org.codehaus.janino.util.signature.SignatureParser.FieldTypeSignature

Packages that use SignatureParser.FieldTypeSignature
Package
Description
org.codehaus.janino.util.signature
Application-independent helper classes.

## Uses of SignatureParser.FieldTypeSignature in org.codehaus.janino.util.signature

Classes in org.codehaus.janino.util.signature that implement SignatureParser.FieldTypeSignature
Modifier and Type
Class
Description
`static class`
`SignatureParser.ArrayTypeSignature`
Representation of the "ArrayTypeSignature" clause.
`static class`
`SignatureParser.ClassTypeSignature`
Representation of the "ClassTypeSignature" clause, e.g.
`static class`
`SignatureParser.TypeVariableSignature`
Representation of the "TypeVariableSignature" clause, e.g.
Fields in org.codehaus.janino.util.signature declared as SignatureParser.FieldTypeSignature
Modifier and Type
Field
Description
`final SignatureParser.FieldTypeSignature`
SignatureParser.FormalTypeParameter.`classBound`
The class that this formal type parameter (optionally) extends.
`final SignatureParser.FieldTypeSignature`
SignatureParser.TypeArgument.`fieldTypeSignature`
Must be for `SignatureParser.TypeArgument.Mode.ANY`, non-`null` otherwise.
Fields in org.codehaus.janino.util.signature with type parameters of type SignatureParser.FieldTypeSignature
Modifier and Type
Field
Description
`final List<SignatureParser.FieldTypeSignature>`
SignatureParser.FormalTypeParameter.`interfaceBounds`
The interfaces that this formal type parameter (optionally) extends.
Methods in org.codehaus.janino.util.signature that return SignatureParser.FieldTypeSignature
Modifier and Type
Method
Description
`SignatureParser.FieldTypeSignature`
SignatureParser.`decodeFieldTypeSignature(String s)`
Decodes a 'field type signature' as defined in JVMS7 4.3.4 / JVMS8 4.7.9.1.
Constructors in org.codehaus.janino.util.signature with parameters of type SignatureParser.FieldTypeSignature
Modifier
Constructor
Description
``
`FormalTypeParameter(String identifier, SignatureParser.FieldTypeSignature classBound, List<SignatureParser.FieldTypeSignature> interfaceBounds)`
``
`TypeArgument(org.codehaus.janino.util.signature.SignatureParser.TypeArgument.Mode mode, SignatureParser.FieldTypeSignature fieldTypeSignature)`
Constructor parameters in org.codehaus.janino.util.signature with type arguments of type SignatureParser.FieldTypeSignature
Modifier
Constructor
Description
``
`FormalTypeParameter(String identifier, SignatureParser.FieldTypeSignature classBound, List<SignatureParser.FieldTypeSignature> interfaceBounds)`